clang 8.0.0

Public Member Functions | Protected Member Functions | List of all members
clang::ento::retaincountchecker::RefCountBug Class Referenceabstract

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/StaticAnalyzer/Checkers/RetainCountChecker/RetainCountDiagnostics.h"`

Inheritance diagram for clang::ento::retaincountchecker::RefCountBug:
[legend]
Collaboration diagram for clang::ento::retaincountchecker::RefCountBug:
[legend]

## Public Member Functions
virtual const char * | getDescription () const =0
virtual bool | isLeak () const
Public Member Functions inherited from clang::ento::BugType
| BugType (CheckName Check, StringRef Name, StringRef Cat)
| BugType (const CheckerBase *Checker, StringRef Name, StringRef Cat)
virtual | ~BugType ()=default
StringRef | getName () const
StringRef | getCategory () const
StringRef | getCheckName () const
bool | isSuppressOnSink () const
| isSuppressOnSink - Returns true if bug reports associated with this bug type should be suppressed if the end node of the report is post-dominated by a sink node. More...
void | setSuppressOnSink (bool x)

## Protected Member Functions
| RefCountBug (const CheckerBase *checker, StringRef name)

## Detailed Description

Definition at line 27 of file RetainCountDiagnostics.h.

## Constructor & Destructor Documentation

## ◆ RefCountBug()

clang::ento::retaincountchecker::RefCountBug::RefCountBug | ( | const CheckerBase * | checker,
|  | StringRef | name
| ) |  |
| inline protected

Definition at line 29 of file RetainCountDiagnostics.h.

References getDescription().

## Member Function Documentation

## ◆ getDescription()

virtual const char* clang::ento::retaincountchecker::RefCountBug::getDescription | ( |  | ) | const
| pure virtual

Implemented in clang::ento::retaincountchecker::Leak, clang::ento::retaincountchecker::ReturnedNotOwnedForOwned, clang::ento::retaincountchecker::OverAutorelease, clang::ento::retaincountchecker::DeallocNotOwned, clang::ento::retaincountchecker::BadRelease, and clang::ento::retaincountchecker::UseAfterRelease.

Referenced by RefCountBug().

## ◆ isLeak()

virtual bool clang::ento::retaincountchecker::RefCountBug::isLeak | ( |  | ) | const
| inline virtual

Reimplemented in clang::ento::retaincountchecker::Leak.

Definition at line 35 of file RetainCountDiagnostics.h.

Referenced by clang::ento::retaincountchecker::RefCountReport::getRanges().

The documentation for this class was generated from the following file:

- lib/StaticAnalyzer/Checkers/RetainCountChecker/RetainCountDiagnostics.h